Option Explicit


Const ForReading = 1
Const ForWriting = 2
Const ForAppending = 8 

dim inStr,outStr
dim strText, header, i,j,K,L,N,t
dim fso,objFile
dim objArgs
dim help

	help=WScript.ScriptName & "     MIF       ." & vbnewline & _
		"  :" & vbnewline & _
		" " & WScript.ScriptName & " _MIF" & " _MIF" & vbnewline & _
		"   :" & vbnewline & _
		"      MIF-  ,     '_MIF'."  & vbnewline & _
		"      '_MIF'  ,     ,    ."   & vbnewline & _
		"   :" & vbnewline & _
		"        MIF ,     MID-."   & vbnewline & _
		"      "   

	Set objArgs = WScript.Arguments

	if WScript.Arguments.Count < 2 then
		WScript.Echo help
		WScript.Quit -1
	End If


	Set fso = CreateObject("Scripting.FileSystemObject")
	inStr=fso.GetAbsolutePathName(objArgs(0))
	outStr=fso.GetAbsolutePathName(objArgs(1))



	WScript.Echo "++ " & now() & " " & WScript.ScriptName & " inStr='" & inStr & "' outStr='" & outStr & "'"
	WScript.Echo " ** Start reading " & inStr & " " & now 
	N=0
	if fso.FileExists(outStr) then
		Set objFile=fso.GetFile(outStr)
		N=objFile.Size
		set objFile=Nothing
	end if
	
	if N=0 then 
		fso.CopyFile inStr, outStr
	else
		Set objFile = fso.OpenTextFile(inStr, ForReading, false)
	''      !
		Set objFile = fso.OpenTextFile(inStr, ForReading, false)
		Do While objFile.AtEndOfStream <> True
			strText = objFile.ReadLine
			if N = 0 then
				header=header & strText & vbnewline
			end if
			if "DATA" = Ucase(Trim(strText)) then exit Do
		Loop
		strText=vbNullString
		i=0
		REM Do While objFile.AtEndOfStream <> True
			REM strText=strText & objFile.ReadLine & vbNewLine
			REM i=i+1
		REM Loop
		
		''    !!!
		strText=objFile.ReadAll

		objFile.Close
		WScript.Echo " **  Close reading " & inStr & " " & now & " \ " & len(strText) & " bytes" 

		Set objFile = fso.OpenTextFile(outStr, ForAppending, true)
		WScript.Echo " ** Start appending " & outStr & " " & now 
		objFile.Write strText
		objFile.Close
	end if
	WScript.Echo " ** *End writing " & outStr & " " & now 
	''     MID
	
	t=fso.GetExtensionName(inStr) 
	if len(t)> 0 then
		t=left(instr,len(instr)-len(t))
	else 
		t=instr
	end if
	if right(t,1) <> "." then
		t=t & ".mid"
	else
		t=t & "mid"
	end if
	if fso.FileExists(t) then 
		instr=t
	else
		WScript.Echo t & "file not exist. MID file was not merged."
	end if
	
	t=fso.GetExtensionName(outStr) 
	if len(t)> 0 then
		t=left(outstr,len(outstr)-len(t))
	else 
		t=outStr
	end if
	if right(t,1) <> "." then
		t=t & ".mid"
	else
		t=t & "mid"
	end if
	outStr=t
	
	WScript.Echo "++ Merging " & inStr & " and " & fso.GetFileName(outStr) 
	WScript.Echo " ** Start reading " & inStr & " " & now 
		Set objFile = fso.OpenTextFile(inStr, ForReading, false)
		strText = objFile.ReadAll
		objFile.Close
	'' WScript.Echo " **  Close reading " & inStr & " " & now 
	'''WScript.Echo " ** Start appending " & outStr & " " & now 
	Set objFile = fso.OpenTextFile(outStr, ForAppending, true)
		objFile.Write strText
		objFile.Close
	WScript.Echo " ** *End writing " & outStr & " " & now 
